> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/ai/workflow/chat/preflight

Check whether the org may start a caddie V3 chat turn (AI-Credit gate)

` GET /v1/ai/workflow/chat/preflight `

Check whether the org may start a caddie V3 chat turn (AI-Credit gate)

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` allowed `: type ` boolean ` — Allowed is false when the org has no AI credits left (ledger balance <= 0).

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/ai/workflow/chat/preflight' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/ai/workflow/chat/preflight', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/ai/workflow/chat/preflight', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/ai/workflow/chat/preflight", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```